## org.eclipse.emf.compare.match.metamodel.provider
Class MatchItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.compare.match.metamodel.util.MatchAdapterFactory
              org.eclipse.emf.compare.match.metamodel.provider.MatchItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class MatchItemProviderAdapterFactory

extends MatchAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected Match2ElementsItemProvider` `match2ElementsItemProvider` This keeps track of the one adapter used for all `Match2Elements` instances
`protected Match3ElementsItemProvider` `match3ElementsItemProvider` This keeps track of the one adapter used for all `Match3Elements` instances
`protected MatchModelItemProvider` `matchModelItemProvider` This keeps track of the one adapter used for all `MatchModel` instances
`protected MatchResourceSetItemProvider` `matchResourceSetItemProvider` This keeps track of the one adapter used for all `MatchResourceSet` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected UnmatchElementItemProvider` `unmatchElementItemProvider` This keeps track of the one adapter used for all `UnmatchElement` instances
`protected UnmatchModelItemProvider` `unmatchModelItemProvider` This keeps track of the one adapter used for all `UnmatchModel` instances

Fields inherited from class org.eclipse.emf.compare.match.metamodel.util.MatchAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`MatchItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createMatch2ElementsAdapter()` This creates an adapter for a `Match2Elements`.
`org.eclipse.emf.common.notify.Adapter` `createMatch3ElementsAdapter()` This creates an adapter for a `Match3Elements`
`org.eclipse.emf.common.notify.Adapter` `createMatchModelAdapter()` This creates an adapter for a `MatchModel`.
`org.eclipse.emf.common.notify.Adapter` `createMatchResourceSetAdapter()` This creates an adapter for a `MatchResourceSet`
`org.eclipse.emf.common.notify.Adapter` `createUnmatchElementAdapter()` This creates an adapter for a `UnmatchElement`.
`org.eclipse.emf.common.notify.Adapter` `createUnmatchModelAdapter()` This creates an adapter for a `UnmatchModel`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.emf.compare.match.metamodel.util.MatchAdapterFactory
`createAdapter, createEObjectAdapter, createMatchElementAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### match2ElementsItemProvider

    protected Match2ElementsItemProvider match2ElementsItemProvider

  This keeps track of the one adapter used for all `Match2Elements` instances.

### matchModelItemProvider

    protected MatchModelItemProvider matchModelItemProvider

  This keeps track of the one adapter used for all `MatchModel` instances.

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### unmatchElementItemProvider

    protected UnmatchElementItemProvider unmatchElementItemProvider

  This keeps track of the one adapter used for all `UnmatchElement` instances.

### match3ElementsItemProvider

    protected Match3ElementsItemProvider match3ElementsItemProvider

  This keeps track of the one adapter used for all `Match3Elements` instances.

### unmatchModelItemProvider

    protected UnmatchModelItemProvider unmatchModelItemProvider

  This keeps track of the one adapter used for all `UnmatchModel` instances.

### matchResourceSetItemProvider

    protected MatchResourceSetItemProvider matchResourceSetItemProvider

  This keeps track of the one adapter used for all `MatchResourceSet` instances.

Constructor Detail

### MatchItemProviderAdapterFactory

    public MatchItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### createMatch2ElementsAdapter

    public org.eclipse.emf.common.notify.Adapter createMatch2ElementsAdapter()

  This creates an adapter for a `Match2Elements`.

  Overrides:
    `createMatch2ElementsAdapter` in class `MatchAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Match2Elements`

### createMatch3ElementsAdapter

    public org.eclipse.emf.common.notify.Adapter createMatch3ElementsAdapter()

  This creates an adapter for a `Match3Elements`.

  Overrides:
    `createMatch3ElementsAdapter` in class `MatchAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Match3Elements`

### createMatchModelAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchModelAdapter()

  This creates an adapter for a `MatchModel`.

  Overrides:
    `createMatchModelAdapter` in class `MatchAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MatchModel`

### createUnmatchModelAdapter

    public org.eclipse.emf.common.notify.Adapter createUnmatchModelAdapter()

  This creates an adapter for a `UnmatchModel`.

  Overrides:
    `createUnmatchModelAdapter` in class `MatchAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UnmatchModel`

### createMatchResourceSetAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchResourceSetAdapter()

  This creates an adapter for a `MatchResourceSet`.

  Overrides:
    `createMatchResourceSetAdapter` in class `MatchAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MatchResourceSet`

### createUnmatchElementAdapter

    public org.eclipse.emf.common.notify.Adapter createUnmatchElementAdapter()

  This creates an adapter for a `UnmatchElement`.

  Overrides:
    `createUnmatchElementAdapter` in class `MatchAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UnmatchElement`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `MatchAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

Copyright 2006 IBM Corporation and others. All Rights Reserved.